Debian Bug report logs - #588316
Large file support breaks Evolution

version graph

Package: evolution-data-server; Maintainer for evolution-data-server is Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>; Source for evolution-data-server is src:evolution-data-server.

Reported by: Michel Dänzer <daenzer@debian.org>

Date: Wed, 7 Jul 2010 10:24:01 UTC

Severity: grave

Found in version evolution-data-server/2.30.2-1

Fixed in version evolution-data-server/2.30.2.1-1

Done: Yves-Alexis Perez <corsac@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#588316; Package evolution-data-server. (Wed, 07 Jul 2010 10:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Wed, 07 Jul 2010 10:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Large file support breaks Evolution
Date: Wed, 07 Jul 2010 12:21:50 +0200
Package: evolution-data-server
Version: 2.30.2-1
Severity: grave

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


[ Severity grave to make sure this will be considered before the release ]

Evolution bugs #580419 and #585921 are examples of issues that were triggered
by building evolution-data-server with --enable-largefile. Those particular
crashes were fixed in Evolution, but from the upstream bug report
https://bugzilla.gnome.org/show_bug.cgi?id=612082 it seems clear that the
fix is just a bandaid and the upstream developers really have no grasp yet
on what exactly the underlying problems are, let alone how to fix them. And
in fact, I've found that rebuilding evolution-data-server without
- --enable-largefile solved other problems for me:

* Other, reproducible crashes when trying to view certain mail messages.
* The number of unread messages not being displayed correctly on
  evolution-rss folders.

Overall, I think building evolution-data-server with --enable-largefile incurs
too much risk for Evolution users at this point. Unless there was a very
compelling reason for enabling it, please disable it again for now.


- -- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (102, 'experimental')
Architecture: powerpc (ppc)

Kernel: Linux 2.6.34.1
Locale: LANG=de_CH.UTF-8, LC_CTYPE=de_CH.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages evolution-data-server depends on:
ii  evolution-data-server-c 2.30.2-1         architecture independent files for
ii  libatk1.0-0             1.30.0-1         The ATK accessibility toolkit
ii  libc6                   2.11.2-2         Embedded GNU C Library: Shared lib
ii  libcairo2               1.8.10-4         The Cairo 2D vector graphics libra
ii  libcamel1.2-14          2.30.2-1         The Evolution MIME message handlin
ii  libcomerr2              1.41.12-2        common error description library
ii  libdb4.8                4.8.30-1         Berkeley v4.8 Database Libraries [
ii  libdbus-1-3             1.2.24-1         simple interprocess messaging syst
ii  libdbus-glib-1-2        0.86-1           simple interprocess messaging syst
ii  libebackend1.2-0        2.30.2-1         Utility library for evolution data
ii  libebook1.2-9           2.30.2-1         Client library for evolution addre
ii  libecal1.2-7            2.30.2-1         Client library for evolution calen
ii  libedata-book1.2-2      2.30.2-1         Backend library for evolution addr
ii  libedata-cal1.2-7       2.30.2-1         Backend library for evolution cale
ii  libedataserver1.2-13    2.30.2-1         Utility library for evolution data
ii  libegroupwise1.2-13     2.30.2-1         Client library for accessing group
ii  libfontconfig1          2.8.0-2.1        generic font configuration library
ii  libfreetype6            2.3.11-1         FreeType 2 font engine, shared lib
ii  libgconf2-4             2.28.1-3         GNOME configuration database syste
ii  libgdata-google1.2-1    2.30.2-1         Client library for accessing Googl
ii  libgdata1.2-1           2.30.2-1         Client library for accessing Googl
ii  libglib2.0-0            2.24.1-1         The GLib library of C routines
ii  libgssapi-krb5-2        1.8.1+dfsg-5     MIT Kerberos runtime libraries - k
ii  libgtk2.0-0             2.20.1-1         The GTK+ graphical user interface 
ii  libgweather1            2.30.0-2         GWeather shared library
ii  libical0                0.44-3           iCalendar library implementation i
ii  libk5crypto3            1.8.1+dfsg-5     MIT Kerberos runtime libraries - C
ii  libkrb5-3               1.8.1+dfsg-5     MIT Kerberos runtime libraries
ii  libldap-2.4-2           2.4.21-1         OpenLDAP libraries
ii  libnspr4-0d             4.8.4-1          NetScape Portable Runtime Library
ii  libnss3-1d              3.12.6-2         Network Security Service libraries
ii  libpango1.0-0           1.28.1-1         Layout and rendering of internatio
ii  libsoup2.4-1            2.30.1-1         an HTTP library implementation in 
ii  libsqlite3-0            3.6.23.1-4       SQLite 3 shared library
ii  libxml2                 2.7.7.dfsg-4     GNOME XML library
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

evolution-data-server recommends no packages.

Versions of packages evolution-data-server suggests:
ii  evolution                     2.30.2-1   groupware suite with mail client a
ii  evolution-data-server-dbg     2.30.2-1   evolution database backend server 

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFMNFU4WoGvjmrbsgARAjFqAJ9YYr/MXqGTFo16ieIua3wZzZIEQwCeKp3n
tyAgHQ+KVSlm4NcEHFmFQqc=
=oY1y
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#588316; Package evolution-data-server. (Wed, 07 Jul 2010 11:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Wed, 07 Jul 2010 11:57:04 GMT) Full text and rfc822 format available.

Message #10 received at 588316@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Michel Dänzer <daenzer@debian.org>, 588316@bugs.debian.org
Subject: Re: [Evolution] Bug#588316: Large file support breaks Evolution
Date: Wed, 07 Jul 2010 13:54:23 +0200
On 07/07/2010 12:21, Michel Dänzer wrote:
> Package: evolution-data-server
> Version: 2.30.2-1
> Severity: grave
> 
> 
> [ Severity grave to make sure this will be considered before the release ]

Wtf? If you want this considered, please give some help/time, raising
severity for the sake of raising it *doesnt* help.
> 
> Evolution bugs #580419 and #585921 are examples of issues that were triggered
> by building evolution-data-server with --enable-largefile. Those particular
> crashes were fixed in Evolution, but from the upstream bug report
> https://bugzilla.gnome.org/show_bug.cgi?id=612082 it seems clear that the
> fix is just a bandaid and the upstream developers really have no grasp yet
> on what exactly the underlying problems are, let alone how to fix them.

Except that the bug still exists wether or not largefile is enabled.

 And
> in fact, I've found that rebuilding evolution-data-server without
> --enable-largefile solved other problems for me:
> 
> * Other, reproducible crashes when trying to view certain mail messages.
> * The number of unread messages not being displayed correctly on
>   evolution-rss folders.

Did you report them?
> 
> Overall, I think building evolution-data-server with --enable-largefile incurs
> too much risk for Evolution users at this point. Unless there was a very
> compelling reason for enabling it, please disable it again for now.

I'm not especially attached to largefile, but in this case it's not
exactly a good idea imho. The bugs weren't directly related to
largefile, but enabling it make them appear on i386. That means some
bugs may be present but just hidden. If there are crashes, hide them
doesn't look like a good idea, it's better to fix them.

Cheers,
-- 
Yves-Alexis




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#588316; Package evolution-data-server. (Wed, 07 Jul 2010 12:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Wed, 07 Jul 2010 12:33:03 GMT) Full text and rfc822 format available.

Message #15 received at 588316@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: 588316@bugs.debian.org
Subject: Re: [Evolution] Bug#588316: Large file support breaks Evolution
Date: Wed, 07 Jul 2010 14:31:30 +0200
On Mit, 2010-07-07 at 13:54 +0200, Yves-Alexis Perez wrote: 
> On 07/07/2010 12:21, Michel Dänzer wrote:
> > 
> > Overall, I think building evolution-data-server with --enable-largefile incurs
> > too much risk for Evolution users at this point. Unless there was a very
> > compelling reason for enabling it, please disable it again for now.
> 
> I'm not especially attached to largefile, but in this case it's not
> exactly a good idea imho. The bugs weren't directly related to
> largefile, but enabling it make them appear on i386.

I'm not sure why you say they're 'not directly related' to large file
support. Maybe I misinterpreted the developer comments on the upstream
bug report, but it seemed clear that large file support changes things
such that as-of-yet-unknown code in Evolution breaks in
as-of-yet-unknown ways.

> That means some bugs may be present but just hidden. If there are
> crashes, hide them doesn't look like a good idea, it's better to fix
> them.

I agree in general, but in this case I'm pessimistic about being able to
even identify, let alone fix all the problems in time for the release
given the history of the upstream bug report.


What was the reason for adding --enable-largefile? Shouldn't we wait
until upstream enables it by default?


-- 
Earthling Michel Dänzer           |                http://www.vmware.com
Libre software enthusiast         |          Debian, X and DRI developer




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#588316; Package evolution-data-server. (Wed, 07 Jul 2010 12:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Wed, 07 Jul 2010 12:45:03 GMT) Full text and rfc822 format available.

Message #20 received at 588316@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Michel Dänzer <daenzer@debian.org>
Cc: 588316@bugs.debian.org
Subject: Re: [Evolution] Bug#588316: Large file support breaks Evolution
Date: Wed, 07 Jul 2010 14:41:22 +0200
On 07/07/2010 14:31, Michel Dänzer wrote:
> On Mit, 2010-07-07 at 13:54 +0200, Yves-Alexis Perez wrote: 
>> On 07/07/2010 12:21, Michel Dänzer wrote:
>>>
>>> Overall, I think building evolution-data-server with --enable-largefile incurs
>>> too much risk for Evolution users at this point. Unless there was a very
>>> compelling reason for enabling it, please disable it again for now.
>>
>> I'm not especially attached to largefile, but in this case it's not
>> exactly a good idea imho. The bugs weren't directly related to
>> largefile, but enabling it make them appear on i386.
> 
> I'm not sure why you say they're 'not directly related' to large file
> support. Maybe I misinterpreted the developer comments on the upstream
> bug report, but it seemed clear that large file support changes things
> such that as-of-yet-unknown code in Evolution breaks in
> as-of-yet-unknown ways.

What I meant is that the bug is not in largefile support but that
enabling it triggers the bug, which is a different thing. In any case,
bug should be fixed though.
> 
>> That means some bugs may be present but just hidden. If there are
>> crashes, hide them doesn't look like a good idea, it's better to fix
>> them.
> 
> I agree in general, but in this case I'm pessimistic about being able to
> even identify, let alone fix all the problems in time for the release
> given the history of the upstream bug report.

Yeah but if a bug is just a lot more present when LFS is enabled, but
still present without, we might have it triggered in some day, where
it'll be harder to correct it.
> 
> 
> What was the reason for adding --enable-largefile? Shouldn't we wait
> until upstream enables it by default?

The fact that 32 bit users might come to the 2/4 GB limit. I'm asking
upstream advice on this one. As I said, I'm not against disabling it.

I only maintain evolution because I do use it and nobody else seem to
care about, and I don't use i386. So I don't really care about LFS
support, but some other might.

Cheers,
-- 
Yves-Alexis




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#588316; Package evolution-data-server. (Wed, 07 Jul 2010 12:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Wed, 07 Jul 2010 12:45:05 GMT) Full text and rfc822 format available.

Message #25 received at 588316@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Michel Dänzer <daenzer@debian.org>
Cc: 588316@bugs.debian.org
Subject: Re: [Evolution] Bug#588316: Large file support breaks Evolution
Date: Wed, 07 Jul 2010 14:42:22 +0200
On 07/07/2010 14:31, Michel Dänzer wrote:
> What was the reason for adding --enable-largefile? Shouldn't we wait
> until upstream enables it by default?
> 
Btw, LFS is a release goal since at least etch.
-- 
Yves-Alexis




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#588316; Package evolution-data-server. (Wed, 07 Jul 2010 14:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Wed, 07 Jul 2010 14:48:03 GMT) Full text and rfc822 format available.

Message #30 received at 588316@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: 588316@bugs.debian.org
Subject: Re: [Evolution] Bug#588316: Large file support breaks Evolution
Date: Wed, 07 Jul 2010 16:45:46 +0200
On Mit, 2010-07-07 at 14:41 +0200, Yves-Alexis Perez wrote: 
> On 07/07/2010 14:31, Michel Dänzer wrote:
> >
> > What was the reason for adding --enable-largefile? Shouldn't we wait
> > until upstream enables it by default?
> 
> The fact that 32 bit users might come to the 2/4 GB limit. I'm asking
> upstream advice on this one. As I said, I'm not against disabling it.

Okay, thanks.


-- 
Earthling Michel Dänzer           |                http://www.vmware.com
Libre software enthusiast         |          Debian, X and DRI developer




Reply sent to Yves-Alexis Perez <corsac@debian.org>:
You have taken responsibility. (Sat, 10 Jul 2010 15:33:07 GMT) Full text and rfc822 format available.

Notification sent to Michel Dänzer <daenzer@debian.org>:
Bug acknowledged by developer. (Sat, 10 Jul 2010 15:33:07 GMT) Full text and rfc822 format available.

Message #35 received at 588316-close@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: 588316-close@bugs.debian.org
Subject: Bug#588316: fixed in evolution-data-server 2.30.2.1-1
Date: Sat, 10 Jul 2010 15:32:44 +0000
Source: evolution-data-server
Source-Version: 2.30.2.1-1

We believe that the bug you reported is fixed in the latest version of
evolution-data-server, which is due to be installed in the Debian FTP archive:

evolution-data-server-common_2.30.2.1-1_all.deb
  to main/e/evolution-data-server/evolution-data-server-common_2.30.2.1-1_all.deb
evolution-data-server-dbg_2.30.2.1-1_amd64.deb
  to main/e/evolution-data-server/evolution-data-server-dbg_2.30.2.1-1_amd64.deb
evolution-data-server-dev_2.30.2.1-1_amd64.deb
  to main/e/evolution-data-server/evolution-data-server-dev_2.30.2.1-1_amd64.deb
evolution-data-server_2.30.2.1-1.debian.tar.gz
  to main/e/evolution-data-server/evolution-data-server_2.30.2.1-1.debian.tar.gz
evolution-data-server_2.30.2.1-1.dsc
  to main/e/evolution-data-server/evolution-data-server_2.30.2.1-1.dsc
evolution-data-server_2.30.2.1-1_amd64.deb
  to main/e/evolution-data-server/evolution-data-server_2.30.2.1-1_amd64.deb
evolution-data-server_2.30.2.1.orig.tar.gz
  to main/e/evolution-data-server/evolution-data-server_2.30.2.1.orig.tar.gz
libcamel1.2-14_2.30.2.1-1_amd64.deb
  to main/e/evolution-data-server/libcamel1.2-14_2.30.2.1-1_amd64.deb
libcamel1.2-dev_2.30.2.1-1_amd64.deb
  to main/e/evolution-data-server/libcamel1.2-dev_2.30.2.1-1_amd64.deb
libebackend1.2-0_2.30.2.1-1_amd64.deb
  to main/e/evolution-data-server/libebackend1.2-0_2.30.2.1-1_amd64.deb
libebackend1.2-dev_2.30.2.1-1_amd64.deb
  to main/e/evolution-data-server/libebackend1.2-dev_2.30.2.1-1_amd64.deb
libebook1.2-9_2.30.2.1-1_amd64.deb
  to main/e/evolution-data-server/libebook1.2-9_2.30.2.1-1_amd64.deb
libebook1.2-dev_2.30.2.1-1_amd64.deb
  to main/e/evolution-data-server/libebook1.2-dev_2.30.2.1-1_amd64.deb
libecal1.2-7_2.30.2.1-1_amd64.deb
  to main/e/evolution-data-server/libecal1.2-7_2.30.2.1-1_amd64.deb
libecal1.2-dev_2.30.2.1-1_amd64.deb
  to main/e/evolution-data-server/libecal1.2-dev_2.30.2.1-1_amd64.deb
libedata-book1.2-2_2.30.2.1-1_amd64.deb
  to main/e/evolution-data-server/libedata-book1.2-2_2.30.2.1-1_amd64.deb
libedata-book1.2-dev_2.30.2.1-1_amd64.deb
  to main/e/evolution-data-server/libedata-book1.2-dev_2.30.2.1-1_amd64.deb
libedata-cal1.2-7_2.30.2.1-1_amd64.deb
  to main/e/evolution-data-server/libedata-cal1.2-7_2.30.2.1-1_amd64.deb
libedata-cal1.2-dev_2.30.2.1-1_amd64.deb
  to main/e/evolution-data-server/libedata-cal1.2-dev_2.30.2.1-1_amd64.deb
libedataserver1.2-13_2.30.2.1-1_amd64.deb
  to main/e/evolution-data-server/libedataserver1.2-13_2.30.2.1-1_amd64.deb
libedataserver1.2-dev_2.30.2.1-1_amd64.deb
  to main/e/evolution-data-server/libedataserver1.2-dev_2.30.2.1-1_amd64.deb
libedataserverui1.2-8_2.30.2.1-1_amd64.deb
  to main/e/evolution-data-server/libedataserverui1.2-8_2.30.2.1-1_amd64.deb
libedataserverui1.2-dev_2.30.2.1-1_amd64.deb
  to main/e/evolution-data-server/libedataserverui1.2-dev_2.30.2.1-1_amd64.deb
libegroupwise1.2-13_2.30.2.1-1_amd64.deb
  to main/e/evolution-data-server/libegroupwise1.2-13_2.30.2.1-1_amd64.deb
libegroupwise1.2-dev_2.30.2.1-1_amd64.deb
  to main/e/evolution-data-server/libegroupwise1.2-dev_2.30.2.1-1_amd64.deb
libgdata-google1.2-1_2.30.2.1-1_amd64.deb
  to main/e/evolution-data-server/libgdata-google1.2-1_2.30.2.1-1_amd64.deb
libgdata-google1.2-dev_2.30.2.1-1_amd64.deb
  to main/e/evolution-data-server/libgdata-google1.2-dev_2.30.2.1-1_amd64.deb
libgdata1.2-1_2.30.2.1-1_amd64.deb
  to main/e/evolution-data-server/libgdata1.2-1_2.30.2.1-1_amd64.deb
libgdata1.2-dev_2.30.2.1-1_amd64.deb
  to main/e/evolution-data-server/libgdata1.2-dev_2.30.2.1-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 588316@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Yves-Alexis Perez <corsac@debian.org> (supplier of updated evolution-data-server package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 10 Jul 2010 14:30:12 +0200
Source: evolution-data-server
Binary: evolution-data-server evolution-data-server-common evolution-data-server-dev evolution-data-server-dbg libedataserver1.2-13 libedataserver1.2-dev libcamel1.2-14 libcamel1.2-dev libebook1.2-9 libebook1.2-dev libedataserverui1.2-8 libedataserverui1.2-dev libedata-book1.2-2 libedata-book1.2-dev libecal1.2-7 libecal1.2-dev libedata-cal1.2-7 libedata-cal1.2-dev libegroupwise1.2-13 libegroupwise1.2-dev libgdata1.2-1 libgdata1.2-dev libgdata-google1.2-1 libgdata-google1.2-dev libebackend1.2-0 libebackend1.2-dev
Architecture: source all amd64
Version: 2.30.2.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>
Changed-By: Yves-Alexis Perez <corsac@debian.org>
Description: 
 evolution-data-server - evolution database backend server
 evolution-data-server-common - architecture independent files for Evolution Data Server
 evolution-data-server-dbg - evolution database backend server with debugging symbols
 evolution-data-server-dev - Development files for evolution-data-server (metapackage)
 libcamel1.2-14 - The Evolution MIME message handling library
 libcamel1.2-dev - Development files for libcamel
 libebackend1.2-0 - Utility library for evolution data servers
 libebackend1.2-dev - Utility library for evolution data servers (development files)
 libebook1.2-9 - Client library for evolution address books
 libebook1.2-dev - Client library for evolution address books (development files)
 libecal1.2-7 - Client library for evolution calendars
 libecal1.2-dev - Client library for evolution calendars (development files)
 libedata-book1.2-2 - Backend library for evolution address books
 libedata-book1.2-dev - Backend library for evolution address books (development files)
 libedata-cal1.2-7 - Backend library for evolution calendars
 libedata-cal1.2-dev - Backend library for evolution calendars (development files)
 libedataserver1.2-13 - Utility library for evolution data servers
 libedataserver1.2-dev - Utility library for evolution data servers (development files)
 libedataserverui1.2-8 - GUI utility library for evolution data servers
 libedataserverui1.2-dev - GUI utility library for evolution data servers (development files
 libegroupwise1.2-13 - Client library for accessing groupwise POA through SOAP interface
 libegroupwise1.2-dev - Development files for libegroupwise
 libgdata-google1.2-1 - Client library for accessing Google POA through SOAP interface
 libgdata-google1.2-dev - Client library for accessing Google POA (development files)
 libgdata1.2-1 - Client library for accessing Google POA through SOAP interface
 libgdata1.2-dev - Client library for accessing Google POA (development files)
Closes: 587849 588316
Changes: 
 evolution-data-server (2.30.2.1-1) unstable; urgency=low
 .
   * New upstream bugfix release.
   * debian/patches:
     - 01_make-nss-db-init-more-robust added.                    closes: #587849
     - 02_remove-courier-imap-workaround-breaking-rename added, fix renaming on
       courier-imap servers.
   * debian/rules:
     - rename --enable-nss to -enable-ssl in configure call.
     - DEB_FIXPERMS_EXCLUDE switched to _evolution-data-server.
     - disable largefile support for now, it'll be re-enabled for squeeze+1
       cycle.                                                    closes: #588316
   * debian/control:
     - update standards version to 3.9.0.
Checksums-Sha1: 
 3f8b00b02b88d1157cbb1aaf699a564e1988e77f 3488 evolution-data-server_2.30.2.1-1.dsc
 79cc7181e7c7431620494033f53e7a5edcfe804c 6970976 evolution-data-server_2.30.2.1.orig.tar.gz
 8644b2ca919763c70daaf1c51e1ab4605d8f0872 27171 evolution-data-server_2.30.2.1-1.debian.tar.gz
 68e5cb3bd505bcd4561b7431b65616063457908e 2291228 evolution-data-server-common_2.30.2.1-1_all.deb
 6549e48802526c6b538b85ee25b47d1113b118c8 702652 evolution-data-server_2.30.2.1-1_amd64.deb
 a3a7f0cf8d8cea6fcfbf6fa8f9a1258700ad7143 108428 evolution-data-server-dev_2.30.2.1-1_amd64.deb
 01d9c2d51f58f50ca7456e8b9fed5f6cdd1b80a3 3203018 evolution-data-server-dbg_2.30.2.1-1_amd64.deb
 423821bb40359e2a228a47e765ac2148bfa123da 184346 libedataserver1.2-13_2.30.2.1-1_amd64.deb
 c04e541e4e55420b2b99301454bbc9332976f37b 201026 libedataserver1.2-dev_2.30.2.1-1_amd64.deb
 8de831352fd02915e5d1494be6d9682c2d4388b4 506574 libcamel1.2-14_2.30.2.1-1_amd64.deb
 4e73002b724b0ebee72796c7f1f60b673781d731 490730 libcamel1.2-dev_2.30.2.1-1_amd64.deb
 0fc53f0c01ad53c9222ecdfc8123e833aed49866 178042 libebook1.2-9_2.30.2.1-1_amd64.deb
 1991cfeffb554e29f8201ba14023b1b0cdc86eea 188694 libebook1.2-dev_2.30.2.1-1_amd64.deb
 52fbbccc6a83e005052f1dfecdf2dc8dd11ac077 201024 libedataserverui1.2-8_2.30.2.1-1_amd64.deb
 ae42ed89ff35a422350df21bcc3d43cb1e9fe588 159844 libedataserverui1.2-dev_2.30.2.1-1_amd64.deb
 32194b6f087f41d62e7c7590c52d6cfec9e97645 148014 libedata-book1.2-2_2.30.2.1-1_amd64.deb
 45579180e49a0131d0c4fa72efd6c34f1804ee7b 158090 libedata-book1.2-dev_2.30.2.1-1_amd64.deb
 bbf5e9777ac881aaa63abd228dbe53e5378b211b 199764 libecal1.2-7_2.30.2.1-1_amd64.deb
 b4b65b08046254b5c361fd6479cc93a2617340d8 191820 libecal1.2-dev_2.30.2.1-1_amd64.deb
 460c3f3541d906f640af87bde23a8950e46f347d 162010 libedata-cal1.2-7_2.30.2.1-1_amd64.deb
 53c24c201921a1a03f73caab505c274a5e250eb9 168480 libedata-cal1.2-dev_2.30.2.1-1_amd64.deb
 d37d715c5535cca4de2cbddcd318854834fb0d7c 177498 libegroupwise1.2-13_2.30.2.1-1_amd64.deb
 e81f1e3943e403dfa69f21eb2751452e4d71a75c 117818 libegroupwise1.2-dev_2.30.2.1-1_amd64.deb
 e2b15e33ef863205a2ad6e5f9c1889d10a978d62 125146 libgdata1.2-1_2.30.2.1-1_amd64.deb
 10490c46893035e5690f322e8b8798a5cfb8e127 111452 libgdata1.2-dev_2.30.2.1-1_amd64.deb
 8992c5d16f21fb87eff2900fe98d65ea7b29bac4 116236 libgdata-google1.2-1_2.30.2.1-1_amd64.deb
 c7bd1ad3716bc0517f84890c6d3b2e4c8885332c 109774 libgdata-google1.2-dev_2.30.2.1-1_amd64.deb
 fe0fb79fb596e4591fe3af11739a6a7ad5c4467e 119520 libebackend1.2-0_2.30.2.1-1_amd64.deb
 188e92d9b891220ff960d617e4de73327aa23e5c 124028 libebackend1.2-dev_2.30.2.1-1_amd64.deb
Checksums-Sha256: 
 0c0d0da03bb190d13dca67a40a6e1c2238eabc9d708034a00be366077bc0611f 3488 evolution-data-server_2.30.2.1-1.dsc
 65886827a2c4c5bd80e8009d3a06c9f77f38cd66739cf5bf9782cf448c6122ad 6970976 evolution-data-server_2.30.2.1.orig.tar.gz
 6182a36b1d204c72756ea2c0ce06c243866845a8bec315ffe46e8001b99d92f4 27171 evolution-data-server_2.30.2.1-1.debian.tar.gz
 012c6d87c28fcfccb06a36bd8060946ace8a4819219cce001e4d17f97f38b6e5 2291228 evolution-data-server-common_2.30.2.1-1_all.deb
 02061637d92e29e898246dc56e34c38da4b8361066a0cba4dd1b34875c3d8e94 702652 evolution-data-server_2.30.2.1-1_amd64.deb
 0287de92e1e11e8b6995382340325ba9e4d136ba8834e51d806b2e740fec7246 108428 evolution-data-server-dev_2.30.2.1-1_amd64.deb
 18d2e5f9c605b5e87b1e7dc7e2a3427b7278d0f49b334295964e199bd79a7822 3203018 evolution-data-server-dbg_2.30.2.1-1_amd64.deb
 a9a71e4fb7e640446414014e6f9556b0423b82ea0f752b03a5db2f8b712d0b98 184346 libedataserver1.2-13_2.30.2.1-1_amd64.deb
 f307e183ca621aa1d1f68a4062d29ee75b2f6435dbba19a258e5b4f4ceb9b327 201026 libedataserver1.2-dev_2.30.2.1-1_amd64.deb
 42d5cdaab2ae30d1e34edb16594228f4d846069b487a7ebfce77eefe42c69faf 506574 libcamel1.2-14_2.30.2.1-1_amd64.deb
 ca4002b4c2c3caa9530dffa511114ee612bd5cd7996bf467110742673baf96ea 490730 libcamel1.2-dev_2.30.2.1-1_amd64.deb
 44d3b4743e73ebcff4039ebef986eb5e45b725cc6813df4255788d8988a4af31 178042 libebook1.2-9_2.30.2.1-1_amd64.deb
 32218486c9cf5aa01e66681e3ed98be273e92dc34c727d82aa9ea88ec61654bd 188694 libebook1.2-dev_2.30.2.1-1_amd64.deb
 86c499a85bcb749cc8174e66ce0148e7a31284b8d2cfd42f7dd653d279af13e0 201024 libedataserverui1.2-8_2.30.2.1-1_amd64.deb
 e47403b51a136bb084a56cf2f6fcc53983bb04009bfad19267cab37259a052e4 159844 libedataserverui1.2-dev_2.30.2.1-1_amd64.deb
 9f07dd1ab724dc3fba49b5df5647035824ca465cf119847c940f773da371ee3f 148014 libedata-book1.2-2_2.30.2.1-1_amd64.deb
 892766b8354ae75016b9f336390ff59ab9c6159633d8bca5ed1380306315c5e4 158090 libedata-book1.2-dev_2.30.2.1-1_amd64.deb
 fd2a0d17065adb18b6a17e2acdafdbd2f7f003771eaef718c9fbcf6d62f4fa5b 199764 libecal1.2-7_2.30.2.1-1_amd64.deb
 2eb451546a82aba613d98482560050ba78efb0a9698c780aefabae6f3bdd4a61 191820 libecal1.2-dev_2.30.2.1-1_amd64.deb
 afa911301139165ca5f2ef4d2eb99c0f00c4f29df875c13a0d2c472ea9d50e10 162010 libedata-cal1.2-7_2.30.2.1-1_amd64.deb
 3c10290528ed91cf7f6b1505af8cc2c68ff596fa09fdf6756ff0918073707cee 168480 libedata-cal1.2-dev_2.30.2.1-1_amd64.deb
 ad7596b75dfe2a598b617390a4736b6a5452476a92bbb5fdf8a4098cd5279244 177498 libegroupwise1.2-13_2.30.2.1-1_amd64.deb
 6264186a11e9271b0fb4e4221b9c60d461057cbdf555247fff93efd9362514b5 117818 libegroupwise1.2-dev_2.30.2.1-1_amd64.deb
 bd4053e176de55f07ce9cfd0dcb048015d14dbaa939fc3b7d01bb140bebecd67 125146 libgdata1.2-1_2.30.2.1-1_amd64.deb
 581d4f8b4c6be0ab011ff8761b27f773dc403f1caecbdc978fa84f514c5f35cb 111452 libgdata1.2-dev_2.30.2.1-1_amd64.deb
 8df6b08256258e32e74acc2ac54954fce4a643f1236cdf2499243781b6ad3c57 116236 libgdata-google1.2-1_2.30.2.1-1_amd64.deb
 2bf53b58f2f3c1a128311f62b45785ad786d0a879d3dd58feb68de0334ba69f8 109774 libgdata-google1.2-dev_2.30.2.1-1_amd64.deb
 1c74dfd0a9445806fc114aa9245e56b9629b9bed8ea909d1b179e8aa54bae025 119520 libebackend1.2-0_2.30.2.1-1_amd64.deb
 7b706ffafad4613086333d81b439770913271ba891f91454298ec655fa167e72 124028 libebackend1.2-dev_2.30.2.1-1_amd64.deb
Files: 
 0ff84d2fdc8a12cee162e8ac5fff388a 3488 gnome optional evolution-data-server_2.30.2.1-1.dsc
 6f46289080dde3e9be145d837c4046fd 6970976 gnome optional evolution-data-server_2.30.2.1.orig.tar.gz
 32aed8d35e5b385e52bce7c204dee508 27171 gnome optional evolution-data-server_2.30.2.1-1.debian.tar.gz
 74c9f19962256b76c588ab1f15f72018 2291228 gnome optional evolution-data-server-common_2.30.2.1-1_all.deb
 2017c73027aa9e1bbc399affd48e338c 702652 gnome optional evolution-data-server_2.30.2.1-1_amd64.deb
 bfe405f72d093553dcade19077573e7e 108428 devel optional evolution-data-server-dev_2.30.2.1-1_amd64.deb
 e97f76ef9c790daaa8da699de0d57b70 3203018 debug extra evolution-data-server-dbg_2.30.2.1-1_amd64.deb
 c95dda1b26a1ebd298454459837f0a8f 184346 libs optional libedataserver1.2-13_2.30.2.1-1_amd64.deb
 a65e9bf711df0459f4279cb7d16797e6 201026 libdevel optional libedataserver1.2-dev_2.30.2.1-1_amd64.deb
 745892d29d76853ec7dcc5fbc81de740 506574 libs optional libcamel1.2-14_2.30.2.1-1_amd64.deb
 051494f922c17968dc10c51c1bff44f3 490730 libdevel optional libcamel1.2-dev_2.30.2.1-1_amd64.deb
 09c956f5c1d97e40a0ef9ac90eced6e7 178042 libs optional libebook1.2-9_2.30.2.1-1_amd64.deb
 1ab113485603f585e214c4ee323498c3 188694 libdevel optional libebook1.2-dev_2.30.2.1-1_amd64.deb
 03f29b7efaa00a8b0b7dd46e11e7df63 201024 libs optional libedataserverui1.2-8_2.30.2.1-1_amd64.deb
 344621afbbb0bdefe502317e30a998ce 159844 libdevel optional libedataserverui1.2-dev_2.30.2.1-1_amd64.deb
 82dd4fb5a42bd397ca1e9eca5b9de33a 148014 libs optional libedata-book1.2-2_2.30.2.1-1_amd64.deb
 65725a5617c3227571b2a7f0c403e438 158090 libdevel optional libedata-book1.2-dev_2.30.2.1-1_amd64.deb
 061b6c2abe2b3147fe9b5245019b4482 199764 libs optional libecal1.2-7_2.30.2.1-1_amd64.deb
 4093a53515305d05dd723b4d15d1cdcd 191820 libdevel optional libecal1.2-dev_2.30.2.1-1_amd64.deb
 6967502f787aec471aa0f7b3e32f09e2 162010 libs optional libedata-cal1.2-7_2.30.2.1-1_amd64.deb
 2ffddca7adeddf12d127abacd64e30c6 168480 libdevel optional libedata-cal1.2-dev_2.30.2.1-1_amd64.deb
 2436cf345d10471c5a0117ddb54a3c87 177498 libs optional libegroupwise1.2-13_2.30.2.1-1_amd64.deb
 6aa9a826868e3e7c559217c1dd02f998 117818 libdevel optional libegroupwise1.2-dev_2.30.2.1-1_amd64.deb
 86adcf7a2e833ea15bc05a1acc58a3d1 125146 libs optional libgdata1.2-1_2.30.2.1-1_amd64.deb
 75e91aad37876f6137911264e75d480a 111452 libdevel optional libgdata1.2-dev_2.30.2.1-1_amd64.deb
 fd211d4896328ca328a6e5f43cdb77a2 116236 libs optional libgdata-google1.2-1_2.30.2.1-1_amd64.deb
 6120883c57facb815a21997d8a58bbbd 109774 libdevel optional libgdata-google1.2-dev_2.30.2.1-1_amd64.deb
 e67b63f7e1e0946ca4a655b75e691923 119520 libs optional libebackend1.2-0_2.30.2.1-1_amd64.deb
 fe7dddd135ebfe7ed089fdc9f9c8e7e9 124028 libdevel optional libebackend1.2-dev_2.30.2.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCgAGBQJMOH7IAAoJEDBVD3hx7wuov0sP/0XaUSD0CxWLTnX6yVegz0jP
zGvpx/an6YcO4qD3jgIkKXWlUME9UiK4+k8gO1lQiE+4pGzmybPYbx1679pr6jxo
KbtDC4+r1x0/6tcCAeStCknLQIj6Dp1gLmAim4n23w1QhZS9frO1/obuF0w+zSVB
OeXVspZF7DhheAtmY5859gNstHEsMwWNayWR8mTsLhXnXjSlFwtw2u/xbjxV6hGc
k33BWUggvrpxSSEnJsnEnvEjQHwaxWtJUcx3vedylmnJuCZ+r/t7AHdcjfyhCuq8
2pZYbuVyKjMXpGVC7NSFtfsJNSO15+vIlDR1R5YdbcH3hs7Rp5Q6njKGi4QYIaUU
KpBg5nb7L8kgp7jwXAljqHSu0zP66wsUCpMgKmdoHYHLsqLkquA92aAIpSwoz/ei
G3hI8AC1XteZ47IQGCTgz03bs0asC+YE/uERSHLfqUUsjQ+j0wi1qyXlbkVr7gVA
EEckGbFt/bdEB4Jog0pUJxsduJBr1wKoSPar700hlsSWMoeRbWM0ALxZ8/tQyWlw
BSHZmy2DXfR992ugIdgMWMOXMAD6/sFqBB23wiN6gwxVMh8zVksr2CeihE/kw0tk
ztikM7/wz/AkkOlkF36kgRUa5qUKoKHVLnUsfntcKFFubNR0EsA5NPrH0Kx+9Ull
Yl8CposkA1F5nBOij4c3
=PvKE
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#588316; Package evolution-data-server. (Sat, 17 Jul 2010 16:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Sat, 17 Jul 2010 16:30:02 GMT) Full text and rfc822 format available.

Message #40 received at 588316@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Yves-Alexis Perez <corsac@debian.org>, 588316@bugs.debian.org
Subject: Re: Bug#588316: [Evolution] Bug#588316: Large file support breaks Evolution
Date: Sat, 17 Jul 2010 18:27:39 +0200
Hi,

On Wed, Jul 07, 2010 at 02:41:22PM +0200, Yves-Alexis Perez wrote:
> Yeah but if a bug is just a lot more present when LFS is enabled, but
> still present without, we might have it triggered in some day, where
> it'll be harder to correct it.

as I read it it could even be triggered when you're accessing a NFS home
dir with both amd64 and i386?  Or are the database files protected against
that somehow?

Kind regards,
Philipp Kern
 




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 18 Aug 2010 07:32:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:15:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.